Name:           python-tox-pdm
Version:        0.7.2
Release:        1%{?dist}
Summary:        tox plugin that utilizes PDM as the package manager


License:        MIT
URL:            https://github.com/pdm-project/tox-pdm
Source0:         %{url}/archive/%{version}/tox-pdm-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  python3-devel

%global _description %{expand:
A plugin for tox that utilizes PDM as the package manager and installer.

With this plugin, you can migrate your project to PDM while retaining the
ability to test against multiple versions.
}

%description %{_description}

%package -n     python3-tox-pdm
Summary:        %{summary}

%description -n python3-tox-pdm %{_description}

%prep
%autosetup -p1 -n tox-pdm-%{version}


%generate_buildrequires
export PDM_BUILD_SCM_VERSION=%{version}
%pyproject_buildrequires -t 


%build
export PDM_BUILD_SCM_VERSION=%{version}
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files -L tox_pdm


%check
%pyproject_check_import


%files -n python3-tox-pdm -f %{pyproject_files}
%license LICENSE
%doc README.md


%changelog
* Sun Aug 11 2024 Paul Pfeister <code@pfeister.dev> - 0.1.5-1
- Initial package.
